// =====================================================================
//  $Id: TSoftwareModule.cc,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#include "TSoftwareModule.hh"

TSoftwareModule::TSoftwareModule( Tint nchannel )
  : TModule( nchannel )
{;}

TSoftwareModule::TSoftwareModule( const TSoftwareModule& right )
  : TModule( right )
{;}

TSoftwareModule::~TSoftwareModule()
{;}

const TSoftwareModule& TSoftwareModule::operator=( const TSoftwareModule& right )
{
  *( (TModule*)this ) = *( (TModule*)(&right) );
  return( *this );
}

Tbool TSoftwareModule::operator==( const TSoftwareModule& right ) const
{
  return( *( (TModule*)this ) == *( (TModule*)(&right) ) );
}

Tbool TSoftwareModule::operator!=( const TSoftwareModule& right ) const
{
  return( *( (TModule*)this ) != *( (TModule*)(&right) ) );
}
